function [numopen, denopen, denclsd]=rldesign(num,den,s1)

% Copyright (C) 1998-2016 by H. Saadat.

discr=[
'                                                                         '
'  The function rldesign(num, den, s1) is used for the root-locus design  '
'  of a linear control system.  num & den are row vectors of polynomial   '
'  coefficients of the uncompensated open-loop plant transfer function    '
'  and s1 = +j*w is a desired pole of the closed-loop transfer function. '
'  For gain compensation and the approximate phase-lag controller instead '
'  of s1 damping ratio zeta is required. The above parameters must be     '                             
'  defined befor using the above function. See page 695 or use rldesigngui'
'                                                                         '];
disp(discr)
discr2=[
'             Compensator type                      Enter                 '
'             ----------------                      -----                 '
'             Gain compensation                        1                  '
'             Phase-lead (or phase-lag )               2                  '
'             Phase-lag  (Approximate Kc = K0/K)       3                  '
'             PD  Controller                           4                  '
'             PI  Controller                           5                  '
'             PID Controller                           6                  '];

disp(discr2)
opt = input(' Enter your choice  -> ');
if (opt ~= 1 && opt ~= 2 && opt ~= 3 && opt ~= 4 && opt ~= 5 && opt ~= 6)
     disp(' Enter 1, 2, 3, 4, 5 or 6'), return, end
if opt ==1; [numopen, denopen, denclsd]=pcomp(num,den,s1);   
elseif opt ==2; [numopen, denopen, denclsd]=phlead(num,den,s1);
elseif opt ==3; [numopen, denopen, denclsd]=phlag(num,den,s1);
elseif opt ==4; [numopen, denopen, denclsd]=pdcomp(num,den,s1);
elseif opt ==5; [numopen, denopen, denclsd]=picomp(num,den,s1);
elseif opt ==6; [numopen, denopen, denclsd]=pidcomp(num,den,s1);
elseif (opt ~= 1 && opt ~= 2 && opt ~= 3 && opt ~= 4 && opt ~= 5 && opt ~= 6)
     disp(' Enter 1, 2, 3, 4, 5 or 6'), end
end
    